Bug 464681 - [QLogic 5.3 bug] qla2xxx/qla84xxx: Advertise qla84xx firmware rev. fix netlink code
[QLogic 5.3 bug] qla2xxx/qla84xxx: Advertise qla84xx firmware rev. fix netlin...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
high Severity urgent
: rc
: ---
Assigned To: Marcus Barrow
Martin Jenner
:
Depends On:
Blocks: 415811
  Show dependency treegraph
 
Reported: 2008-09-29 17:11 EDT by David Somayajulu
Modified: 2009-06-20 03:22 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:59:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[QLogic 5.3 bug] qla2xxx/qla84xxx: Advertise qla84xx firmware rev. fix netlink code (3.70 KB, patch)
2008-09-29 17:11 EDT, David Somayajulu
no flags Details | Diff
management fixes for 84xx (4.49 KB, patch)
2008-10-26 00:34 EDT, Marcus Barrow
no flags Details | Diff

  None (edit)
Description David Somayajulu 2008-09-29 17:11:13 EDT
Created attachment 318002 [details]
[QLogic 5.3 bug] qla2xxx/qla84xxx: Advertise qla84xx firmware rev. fix netlink code

Description of problem:

1. Advertise the qla84xx firmware revision via sysfs node.

2. qla84xx firmware revision verfication code fixed. The fw rev was not accessed from the correct location in the firmware file. Also the Adapter Specific Command a.k.a IOCB needs additional field to filled.

3. GET Async Events private netlink command support is for all qla2xxx products not just for qla84xx (FCoE line). This is used by Qlogic's HBA Management Application.




These fixes have been tested and verified with the linux-2.6.18-115
RHEL5.3 kernel.
Comment 3 RHEL Product and Program Management 2008-09-30 12:39:15 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Marcus Barrow 2008-10-26 00:34:00 EDT
Created attachment 321535 [details]
management fixes for 84xx
Comment 5 Marcus Barrow 2008-10-26 00:35:44 EDT
These are critical fixes that allow the display of the embedded firmware version and it's update. Being able to display and then update the firmware are considered critical needs by our OEM's and customers. THe firmware in question is for the chips that provide ethernet support downstream from the FC chip.
Comment 6 Don Zickus 2008-11-04 11:50:42 EST
in kernel-2.6.18-122.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 Chris Ward 2008-11-28 02:15:35 EST
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!
Comment 9 Marcus Barrow 2008-12-01 18:19:12 EST
patch verified in 2.6.18-123.el5
Comment 11 errata-xmlrpc 2009-01-20 14:59:39 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.